curl --request PUT \
--url https://api.example.com/v1/parties/{id} \
--header 'Content-Type: application/json' \
--data '
{
"type": "INDIVIDUAL",
"firstName": "John",
"lastName": "Doe",
"dateOfBirth": "1990-05-15T00:00:00.000Z",
"nationality": "LT",
"taxIdentifications": [
{
"tin": "39001010000",
"country": "LT"
}
],
"documents": [
{
"type": "1",
"number": "AB1234567"
}
],
"registrationAddress": {
"streetName": "Main Street",
"buildingNumber": "42",
"postCode": "01234",
"townName": "Vilnius",
"country": "LT"
}
}
'{
"correlationId": "550e8400-e29b-41d4-a716-446655440000"
}{
"status": 400,
"title": "<string>",
"instance": "<string>",
"violations": [
{
"field": "<string>",
"in": "query",
"message": "<string>"
}
]
}{
"status": 500,
"title": "<string>",
"instance": "<string>",
"detail": "<string>"
}Update party
Updates an existing party. Returns 202 Accepted when the request is queued for processing.
curl --request PUT \
--url https://api.example.com/v1/parties/{id} \
--header 'Content-Type: application/json' \
--data '
{
"type": "INDIVIDUAL",
"firstName": "John",
"lastName": "Doe",
"dateOfBirth": "1990-05-15T00:00:00.000Z",
"nationality": "LT",
"taxIdentifications": [
{
"tin": "39001010000",
"country": "LT"
}
],
"documents": [
{
"type": "1",
"number": "AB1234567"
}
],
"registrationAddress": {
"streetName": "Main Street",
"buildingNumber": "42",
"postCode": "01234",
"townName": "Vilnius",
"country": "LT"
}
}
'{
"correlationId": "550e8400-e29b-41d4-a716-446655440000"
}{
"status": 400,
"title": "<string>",
"instance": "<string>",
"violations": [
{
"field": "<string>",
"in": "query",
"message": "<string>"
}
]
}{
"status": 500,
"title": "<string>",
"instance": "<string>",
"detail": "<string>"
}Path Parameters
[a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}Body
Party update request
Request to update a party (INDIVIDUAL or ORGANISATION)
Party type
INDIVIDUAL, ORGANISATION "INDIVIDUAL"
Required for INDIVIDUAL registered outside Lithuania
Show child attributes
Show child attributes
Ultimate beneficial owners. Required for ORGANISATION registered outside Lithuania
Show child attributes
Show child attributes
Legal representatives. Required for ORGANISATION registered outside Lithuania
Show child attributes
Show child attributes
Required for INDIVIDUAL
"John"
Required for INDIVIDUAL
"Doe"
Required for INDIVIDUAL outside Lithuania
"1990-01-15T00:00:00.000Z"
Required for INDIVIDUAL (ISO 3166-1 alpha-2)
"LT"
Required for INDIVIDUAL
Show child attributes
Show child attributes
Required for ORGANISATION
"123456789"
Required for ORGANISATION
"Acme Corporation"
Required for ORGANISATION (ISO 3166-1 alpha-2)
"LT"
Registration address. Required for ORGANISATION and INDIVIDUAL registered outside Lithuania
Show child attributes
Show child attributes
Response
Party update request accepted
Response for accepted asynchronous requests
Correlation identifier for tracking the request through events
"550e8400-e29b-41d4-a716-446655440000"